## soapyaudio 0~git20160607

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR support module for Audio Devices
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyAudio CXX)

find_package(SoapySDR "0.4.0" NO_MODULE REQUIRED)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

option(USE_HAMLIB OFF "Support hamlib for radio control functions.")

if (USE_HAMLIB)
    find_package(hamlib REQUIRED)
    
    if (NOT hamlib_FOUND)
        message(FATAL_ERROR "hamlib development files not found...")
    endif ()
    
    include_directories(${hamlib_INCLUDE_DIRS})
    if (${hamlib_STATIC_FOUND})
        link_libraries(${hamlib_STATIC_LIBRARIES})
    else()
        link_libraries(${hamlib_LIBRARIES})
    endif()

	ADD_DEFINITIONS(-DUSE_HAMLIB)	    
endif ()

# list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/RtAudio)

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #Thread support enabled (not the same as -lpthread)
    list(APPEND AUDIO_LIBS -pthread)

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

IF (WIN32)
	set(USE_AUDIO_DS ON CACHE BOOL "Support DirectSound Audio")
	set(USE_AUDIO_WASAPI OFF CACHE BOOL "Support WASAPI Audio")
	# TODO:
	# set(USE_AUDIO_ASIO OFF CACHE BOOL "Include support for ASIO Audio")

	# WASAPI
	IF(USE_AUDIO_WASAPI)
		ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)	
		IF (NOT MSVC)	
			SET(AUDIO_LIBS ${AUDIO_LIBS} -luuid -lksuser)
		ENDIF(NOT MSVC)
	ENDIF(USE_AUDIO_WASAPI)

	# DirectSound
	IF (USE_AUDIO_DS)	
		ADD_DEFINITIONS(-D__WINDOWS_DS__)	
		IF (MSVC)	
			SET(AUDIO_LIBS ${AUDIO_LIBS} dsound.lib)
		ELSE (MSVC)
			SET(AUDIO_LIBS ${AUDIO_LIBS} -ldsound)
		ENDIF (MSVC)
	ENDIF(USE_AUDIO_DS)    
ENDIF (WIN32)

IF (UNIX AND NOT APPLE)
    SET(USE_AUDIO_PULSE ON CACHE BOOL "Support Pulse Audio")
    SET(USE_AUDIO_JACK OFF CACHE BOOL "Support Jack Audio")
    SET(USE_AUDIO_ALSA OFF CACHE BOOL "Support ALSA Audio")
    SET(USE_AUDIO_OSS OFF CACHE BOOL "Support OSS Audio")
  
    IF(USE_AUDIO_PULSE)
       SET (AUDIO_LIBS ${AUDIO_LIBS} pulse-simple pulse)
       ADD_DEFINITIONS(
            -D__LINUX_PULSE__
       )
    ENDIF(USE_AUDIO_PULSE)

    IF(USE_AUDIO_JACK)
       find_package(Jack)
       SET (AUDIO_LIBS ${AUDIO_LIBS} ${JACK_LIBRARIES})
       ADD_DEFINITIONS(
            -D__UNIX_JACK__
       )
       include_directories(${JACK_INCLUDE_DIRS})
    ENDIF(USE_AUDIO_JACK)

    IF(USE_AUDIO_ALSA)
       SET (AUDIO_LIBS ${AUDIO_LIBS} asound)
       set(ALSA_INCLUDE_DIR "/usr/include" CACHE FILEPATH "ALSA include path")
       include_directories(${ALSA_INCLUDE_DIR})
       set(ALSA_LIB_DIR "/usr/lib" CACHE FILEPATH "ALSA lib path")
       link_directories(${ALSA_LIB_DIR})
       ADD_DEFINITIONS(
           -D__LINUX_ALSA__
       )
    ENDIF(USE_AUDIO_ALSA)

    IF(USE_AUDIO_OSS)
       SET (AUDIO_LIBS ${AUDIO_LIBS} oss)
       ADD_DEFINITIONS(
            -D__LINUX_OSS__
       )
    ENDIF(USE_AUDIO_OSS)
ENDIF(UNIX AND NOT APPLE)

IF (APPLE)
 ADD_DEFINITIONS(
   -D__MACOSX_CORE__
 )    

FIND_LIBRARY(COREAUDIO_LIBRARY CoreAudio)
FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
SET (AUDIO_LIBS ${COREAUDIO_LIBRARY} ${COREFOUNDATION_LIBRARY} ${AUDIO_LIBS} )
ENDIF (APPLE)

IF (USE_HAMLIB)
    SET (
        HAMLIB_SOURCES 
        RigThread.cpp
        RigThread.h
    )
ENDIF()

SOAPY_SDR_MODULE_UTIL(
    TARGET audioSupport
    SOURCES
        SoapyAudio.hpp
        Registation.cpp
        Settings.cpp
        Streaming.cpp
        RtAudio/RtAudio.cpp
        RtAudio/RtAudio.h        
        ${HAMLIB_SOURCES}
    LIBRARIES
        ${AUDIO_LIBS}
)

=== debian/changelog ===
soapyaudio (0~git20160607-3build1) bionic; urgency=medium

  * No-change rebuild against librtaudio6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:48:29 +0000

soapyaudio (0~git20160607-3) unstable; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 07 Aug 2017 17:03:27 -0400

soapyaudio (0~git20160607-2) unstable; urgency=medium

  * Mark soapysdr-module-audio Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:25:34 +0100

soapyaudio (0~git20160607-1) unstable; urgency=medium

  * Initial release (Closes: #834381)

 -- Andreas Bombe <aeb@debian.org>  Thu, 25 Aug 2016 02:57:38 +0200

=== debian/control ===
Source: soapyaudio
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    libsoapysdr0.6-dev,
    librtaudio-dev,
    libhamlib-dev
Standards-Version: 4.0.1
Homepage: https://github.com/pothosware/SoapyAudio/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyaudio.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyaudio.git

Package: soapysdr0.6-module-audio
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.6-module
Description: Audio device support for SoapySDR
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.

Package: soapysdr-module-audio
Architecture: any
Multi-Arch: same
Depends: soapysdr0.6-module-audio, ${misc:Depends}
Description: Audio device support for SoapySDR (default version)
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.
 .
 This is an empty dependency package that pulls in the audio module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILT_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUSE_HAMLIB=ON

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.6-module-audio

## soapyaudio 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,17 +9,18 @@
     message(FATAL_ERROR "Soapy SDR development files not found...")
 endif ()
 
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
+include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 option(USE_HAMLIB OFF "Support hamlib for radio control functions.")
 
 if (USE_HAMLIB)
     find_package(hamlib REQUIRED)
-    
+
     if (NOT hamlib_FOUND)
         message(FATAL_ERROR "hamlib development files not found...")
     endif ()
-    
+
     include_directories(${hamlib_INCLUDE_DIRS})
     if (${hamlib_STATIC_FOUND})
         link_libraries(${hamlib_STATIC_LIBRARIES})
@@ -27,13 +28,8 @@
         link_libraries(${hamlib_LIBRARIES})
     endif()
 
-	ADD_DEFINITIONS(-DUSE_HAMLIB)	    
+    ADD_DEFINITIONS(-DUSE_HAMLIB)
 endif ()
-
-# list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
-
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/RtAudio)
 
 #enable c++11 features
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -59,6 +55,25 @@
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
 endif(APPLE)
 
+find_package(RtAudio)
+
+if (RTAUDIO_FOUND)
+
+    SET(AUDIO_LIBS ${AUDIO_LIBS} ${RTAUDIO_LIBRARIES})
+    ADD_DEFINITIONS(${RTAUDIO_DEFINITIONS})
+    include_directories(${RTAUDIO_INCLUDE_DIR})
+
+else (RTAUDIO_FOUND)
+
+message(STATUS "Using internal RtAudio library")
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/RtAudio)
+
+set (
+    RTAUDIO_SOURCES
+    RtAudio/RtAudio.cpp
+    RtAudio/RtAudio.h
+)
+
 IF (WIN32)
 	set(USE_AUDIO_DS ON CACHE BOOL "Support DirectSound Audio")
 	set(USE_AUDIO_WASAPI OFF CACHE BOOL "Support WASAPI Audio")
@@ -67,21 +82,21 @@
 
 	# WASAPI
 	IF(USE_AUDIO_WASAPI)
-		ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)	
-		IF (NOT MSVC)	
+		ADD_DEFINITIONS(-D__WINDOWS_WASAPI__)
+		IF (NOT MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} -luuid -lksuser)
 		ENDIF(NOT MSVC)
 	ENDIF(USE_AUDIO_WASAPI)
 
 	# DirectSound
-	IF (USE_AUDIO_DS)	
-		ADD_DEFINITIONS(-D__WINDOWS_DS__)	
-		IF (MSVC)	
+	IF (USE_AUDIO_DS)
+		ADD_DEFINITIONS(-D__WINDOWS_DS__)
+		IF (MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} dsound.lib)
 		ELSE (MSVC)
 			SET(AUDIO_LIBS ${AUDIO_LIBS} -ldsound)
 		ENDIF (MSVC)
-	ENDIF(USE_AUDIO_DS)    
+	ENDIF(USE_AUDIO_DS)
 ENDIF (WIN32)
 
 IF (UNIX AND NOT APPLE)
@@ -89,7 +104,7 @@
     SET(USE_AUDIO_JACK OFF CACHE BOOL "Support Jack Audio")
     SET(USE_AUDIO_ALSA OFF CACHE BOOL "Support ALSA Audio")
     SET(USE_AUDIO_OSS OFF CACHE BOOL "Support OSS Audio")
-  
+
     IF(USE_AUDIO_PULSE)
        SET (AUDIO_LIBS ${AUDIO_LIBS} pulse-simple pulse)
        ADD_DEFINITIONS(
@@ -128,16 +143,18 @@
 IF (APPLE)
  ADD_DEFINITIONS(
    -D__MACOSX_CORE__
- )    
+ )
 
 FIND_LIBRARY(COREAUDIO_LIBRARY CoreAudio)
 FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
 SET (AUDIO_LIBS ${COREAUDIO_LIBRARY} ${COREFOUNDATION_LIBRARY} ${AUDIO_LIBS} )
 ENDIF (APPLE)
 
+endif (RTAUDIO_FOUND)
+
 IF (USE_HAMLIB)
     SET (
-        HAMLIB_SOURCES 
+        HAMLIB_SOURCES
         RigThread.cpp
         RigThread.h
     )
@@ -147,11 +164,10 @@
     TARGET audioSupport
     SOURCES
         SoapyAudio.hpp
-        Registation.cpp
+        Registration.cpp
         Settings.cpp
         Streaming.cpp
-        RtAudio/RtAudio.cpp
-        RtAudio/RtAudio.h        
+        ${RTAUDIO_SOURCES}
         ${HAMLIB_SOURCES}
     LIBRARIES
         ${AUDIO_LIBS}

=== debian/changelog ===
soapyaudio (0.1.1-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with RtAudio 6 (Closes: #1051556)
    Thank you to IOhannes m zmoelnig <umlaeute@debian.org> for the patch.

 -- tony mancill <tmancill@debian.org>  Sun, 23 Jun 2024 19:19:02 -0700

soapyaudio (0.1.1-5) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:22:07 +0530

soapyaudio (0.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:22:46 +0200

soapyaudio (0.1.1-3) experimental; urgency=low

  [ Andreas Bombe ]
  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Increase debhelper compat level to 13
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Bombe <aeb@debian.org>  Thu, 26 Aug 2021 19:07:24 +0200

soapyaudio (0.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:15:41 +0200

soapyaudio (0.1.1-1) experimental; urgency=medium

  * New upstream version 0.1.1
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Drop use-system-rtaudio patch, upstream now uses system library if found
  * Add debian/watch now that there are upstream releases
  * Update copyright lines for embedded (unused) copy of RtAudio and
    FindRtAudio.cmake in debian/copyright
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12 and remove --parallel option from dh
    invocation
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 23:50:06 +0200

=== debian/control ===
Source: soapyaudio
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev,
    librtaudio-dev,
    libhamlib-dev
Standards-Version: 4.6.2
Homepage: https://github.com/pothosware/SoapyAudio/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyaudio
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyaudio.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-audio
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Audio device support for SoapySDR
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.

Package: soapysdr-module-audio
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-audio, ${misc:Depends}
Description: Audio device support for SoapySDR (default version)
 The SoapyAudio project provides a SoapySDR module for using Software
 Defined Radio devices that are connected through audio interfaces.
 It uses hamlib to provide control of tuning and other functions where
 available.
 .
 This is an empty dependency package that pulls in the audio module
 for the default version of libsoapysdr.

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyAudio/tags .*/soapy-audio-([\d\.]+)\.tar\.(?:xz|gz|bz2)
